Межсайтовый скриптинг в SmarterMail

Дата публикации:
21.09.2010
Всего просмотров:
798
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SmarterMail 7.x
Уязвимые версии: SmarterMail 7.1.3876, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "url" в сценарии UserControls/Popups/frmHelp.aspx, в параметре "folder" в сценарии UserControls/Popups/frmDeleteConfirm.aspx, в параметре "editfolder" в сценарии UserControls/Popups/frmEventGroup.aspx, в параметре "deletefolder" в сценарии UserControls/Popups/frmEventGroup.aspx, в параметре "bygroup" в сценарии Main/Alerts/frmAlerts.aspx. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.smartertools.com/smartermail/mail-server-software.aspx

Решение: Установите последнюю версию 7.2.3925 с сайта производителя.

Ссылки: http://www.smartertools.com/smartermail/releasenotes/v7.aspx
http://cloudscan.blogspot.com/2010/09/vendorsmarterstats-bugs-cross-site.html

или введите имя

CAPTCHA